# Fix X11 forwarding
echo "X11UseLocalhost no" >> /etc/ssh/sshd_config
echo "AddressFamily inet" >> /etc/ssh/sshd_config
systemctl restart ssh.service
env|grep DISPLAY

#
echo "%vagrant ALL=(ALL) NOPASSWD: ALL" > /etc/sudoers.d/vagrant

# зависимости
export DEBIAN_FRONTEND=noninteractive
locale-gen en_US.UTF-8
apt-get update
apt-get install -y htop nano libsm6 libxext6 libxrender-dev \
  libicu-dev libpango1.0-dev libcairo2-dev g++ autoconf automake \
  libtool pkg-config libpng-dev libjpeg62-turbo-dev libtiff5-dev \
  zlib1g-dev libicu-dev libleptonica-dev

# скачиваем и собираем tesseract 4.1.1
cd /
wget https://github.com/tesseract-ocr/tesseract/archive/4.1.1.tar.gz
tar -zxvf 4.1.1.tar.gz
chown -R vagrant:vagrant /tesseract-4.1.1

# установка, сборка и сохранение переменных среды
cd /vagrant || exit 1
chmod +x ./install.sh
runuser -l vagrant -c '/vagrant/install.sh'

# Устанавливаем чертежные шрифты в систему
export FONTS_DIR=/usr/local/share/fonts
cp /vagrant/fonts/* $FONTS_DIR
chown -R vagrant:vagrant $FONTS_DIR
chmod -R 775 $FONTS_DIR
chmod 644 $FONTS_DIR/*
fc-cache
fc-list | grep 'GOST'
echo "export FONTS_DIR=$FONTS_DIR" >> /home/vagrant/.bashrc
